.indexingLvl5 {
  overflow: hidden;
  height: 100%;
  display: flex;
  flex-wrap: nowrap;
  align-items: flex-end;
  z-index: 20;
}

#kraken {
  position: fixed;
  top: 55%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 8;
  animation: bossAFKMovement 6s infinite linear alternate;
}

#krakenKO{
  position: fixed;
  top: 55%;
  left: 50%;
  z-index: 8;
  transform: translate(-50%, -50%);
}

@keyframes bossAFKMovement {
  0% {
    left: 45%;
    top: 55%;
  }
  25% {
    left: 45%;
    top: 60%;
  }
  50% {
    left: 45%;
    top: 55%;
  }
  75% {
    left: 50%;
    top: 55%;
  }
  100% {
    left: 50%;
    top: 60%;
  }
}

.tentacle {
  right: 100%;
  height: 100%;
  width: 100%;
  position: absolute;
  z-index: 9999;
}

#tentacleRight {
  z-index: 99999;
  &.animate {
    animation: tentacleRightIncreaseMovement 1s infinite linear alternate;
  }
}

@keyframes tentacleRightIncreaseMovement {
  0% {
    right: 100%;
  }
  100% {
    right: 20%;
  }
}

#tentacleLeft {
  z-index: 99999;
  &.animate {
    -webkit-transform: scaleX(-1);
    transform: scaleX(-1);
    left: 100%;
    animation: tentacleLeftIncreaseMovement 1s infinite linear alternate;
  }
}

@keyframes tentacleLeftIncreaseMovement {
  0% {
    left: 100%;
  }
  100% {
    left: 20%;
  }
}

.rockFall {
  width: 80px;
  height: 50px;
  position: absolute;
  z-index: 9999;
  animation: spin 2000ms infinite linear;
}

.rockFalling {
  position: absolute;
  &.play {
    animation: rockFallAnimation 4s infinite linear;
    // animation-iteration-count: 1;
  }
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

@keyframes rockFallAnimation {
  0% {
    bottom: 100%;
  }
  100% {
    bottom: 0%;
  }
}

.plageWater {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 60px;
  background-image: url("../assets/textures/water.gif");
  background-size: contain;
}

.wave {
  right: 0%;
  height: 160px;
  width: 126px;
  background-image: url("../assets/boss/Wave-tornado.gif");
  background-size: 126px 160px;
  opacity: 0;
  transition: 500ms;
}
.waveMoving {
  animation: wave 12000ms linear infinite;
  opacity: 1;
}

@keyframes wave {
  from {
    right: 0%;
  }
  to {
    right: 100%;
  }
}

$tentacleH: 112px;
$tentacleW: $tentacleH * 0.56;
$tentacleAnimation: ($tentacleW + $tentacleH * 0.74) * -8;
.tentacle_killer {
  position: absolute;
  bottom: -200px;
  left: 0;
  width: $tentacleW;
  height: $tentacleH;
  background-image: url("../assets/boss/tentacle_sprite.png");
  background-size: cover;
  animation: tentacle_killer 1000ms steps(8) infinite;
  transition: 3000ms;
  transition-timing-function: linear;
  &::after{
    content: '';
    display: block;
    width: 60px;
    height: 60px;
    position: absolute;
    top: -30px;
    left: 0;
    background-image: url("../assets/boss/blood.gif");
    background-size: cover;
    transform: rotate(45deg);
  }

  &._up {
    bottom: 0px;
    &::after {
      display: none;
    }
  }
}

@keyframes tentacle_killer {
  from {
    background-position: 0px 0px;
  }
  to {
    background-position: $tentacleAnimation 0px;
  }
}

#swordSlash {
  width: 95px;
  height: 40px;
  background-image: url("../assets/boss/sword_slash.png");
  background-size: cover;
  position: absolute;
  top: 32%;
  left: 0%;
  opacity: 0;
}

/* boss health bar  */
// #health{
//   position: fixed;
//   top: 15%;
//   left: 50%;
//   z-index: 9999999;
//   background: #8D00F2;
// }
// #health::-webkit-progress-value { background: #8D00F2; }
// #health { color: #8D00F2; }

progress[value] {
  position: fixed;
  top: 15%;
  left: 50%;
  z-index: 9;
  width: 25%;
  appearance: none;
  border: none;
  transform: translateX(-50%);
}
progress[value]::-webkit-progress-value {
  background-image: -webkit-linear-gradient(left, rgb(204, 0, 0), #f10);
}
progress[value]::-moz-progress-bar {
  background-image: -moz-linear-gradient(left, rgb(204, 0, 0), #f10);
}

// Small hitbox to better fit design and avoid death when sword slashing
.tentacle_killer_hitbox {
  margin-left: 30%;
  width: 50%;
  height: 100%;
}
